couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan Lehnardt <...@apache.org>
Subject Re: [Couchdb Wiki] Update of "Troubleshooting" by NoahSlater
Date Tue, 09 Mar 2010 18:28:12 GMT

The thing is that the directories the couchdb and mochiweb .beam files are in have the current
revision number in them. If you install CouchDB twice from source with a different rev, you
end up with e.g. couchdb-0.9.1 and couchdb-0.10.0. Now the erlang library loader treats version
numbers as float.int instead of int.int.int and loads the 0.9.1 couchdb and the 0.10.0 mochiweb
together in one "app". This causes the error. Removing the prior installation and restarting
CouchDB solves the problem.

Does `make uninstall` (in the 0.10.0 tree) remove the couchdb-0.9.1 directory?

Cheers
Jan
--




On 9 Mar 2010, at 10:09, Noah Slater wrote:

> Unless additional files have been added to the source tree that are installed, then yes,
absolutely. I stand by my assertion that as the section included no explanation with it, and
concluded in the un-caveat-ed advice to blow away everything on your system, I had severe
doubts about the reliability of the text.
> 
> On 9 Mar 2010, at 16:54, Jan Lehnardt wrote:
> 
>> In addition, would a r12345 source tree know how to `make uninstall` a r12344 install
tree? (since the rev is part of the directories in question). If not, `make uninstall` doesn't
handle this case.
>> 
>> Cheers
>> Jan
>> --
>> 
>> 
>> On 9 Mar 2010, at 08:49, Jan Lehnardt wrote:
>> 
>>> Can you then please update the information instead of deleting it? :)
>>> 
>>> Cheers
>>> Jan
>>> --
>>> On 9 Mar 2010, at 08:07, Noah Slater wrote:
>>> 
>>>> It looks wrong. If people want to uninstall CouchDB, they should use the
"uninstall" target with make. Instructions asking them to DELETE everything are very irresponsible.
Unless the user thinks hard about that that command is about to do, they will loose all the
data in their databases.
>>>> 
>>>> On 9 Mar 2010, at 15:54, Jan Lehnardt wrote:
>>>> 
>>>>> Hi Noah,
>>>>> 
>>>>> On 9 Mar 2010, at 03:17, Apache Wiki wrote:
>>>>> 
>>>>>> - == invalid UTF-8 JSON ==
>>>>>> - 
>>>>>> - When upgrading from old versions of CouchDB, it is best to really
get rid of everything old.  If you get strange errors and all but the simplest actions appear
to be broken, and especially if you are seeing {"error":"bad_request","reason":"invalid UTF-8
JSON"} type of errors in Futon, then you should try something like the following:
>>>>>> - 
>>>>>> - {{{
>>>>>> - find /usr/local -name \*couch* | xargs rm -rf 
>>>>>> - make && sudo make install
>>>>>> - }}}
>>>>>> - 
>>>>>> - This was discussed on 13 Dec 2009 on the users mailing list, and
the resolution is discussed 
>>>>>> - [[http://mail-archives.apache.org/mod_mbox/couchdb-user/200912.mbox/%3c200912130717.39605.sh@widetrail.dk%3e|here]]
and 
>>>>>> - [[http://mail-archives.apache.org/mod_mbox/couchdb-user/200912.mbox/%3c20091214091547.GA7543@uk.tiscali.com%3e|here]]
>>>>>> - 
>>>>>> - 
>>>>> 
>>>>> what's wrong with this information? I still see people running into the
issue.
>>>>> 
>>>>> Cheers
>>>>> Jan
>>>>> --
>>>>> 
>>>> 
>>> 
>> 
> 


Mime
View raw message